org.eclipse.oomph.setup.launching

## Class LaunchingPlugin

- java.lang.Object
- - org.eclipse.emf.common.util.DelegatingResourceLocator
  - - org.eclipse.emf.common.EMFPlugin
    - - org.eclipse.oomph.util.OomphPlugin
      - - org.eclipse.oomph.setup.launching.LaunchingPlugin

- All Implemented Interfaces:
    Logger, ResourceLocator

      public final class LaunchingPlugin
      extends OomphPlugin

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LaunchingPlugin.Implementation`

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.util.OomphPlugin

      `OomphPlugin.BundleFile`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin

      `EMFPlugin.EclipsePlugin, EMFPlugin.InternalEclipsePlugin, EMFPlugin.InternalHelper, EMFPlugin.OSGiDelegatingBundleActivator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LaunchingPlugin` | `INSTANCE`

    - ### Fields inherited from class org.eclipse.emf.common.EMFPlugin

      `delegateResourceLocators, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

    - ### Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

      `baseURL, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LaunchingPlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceLocator` | `getPluginResourceLocator()`

    - ### Methods inherited from class org.eclipse.oomph.util.OomphPlugin

      `checkCancelation, coreException, coreException, exportResources, exportResources, getBundle, getBundleContext, getConfigurationPreferences, getEclipsePlugin, getInstancePreferences, getLog, getRootFile, getService, getStateLocation, getStatus, getUserLocation, isDebugging, isOSGiRunning, log, log, log, log, setDebugging, toString, toString, ungetService`

    - ### Methods inherited from class org.eclipse.emf.common.EMFPlugin

      `getDelegateResourceLocators, getPluginLogger, getPrimaryResourceLocator, getSymbolicName, log, main`

    - ### Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

      `delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator

      `getBaseURL, getImage, getString, getString, getString, getString`

- - ### Field Detail

    - #### INSTANCE

          public static final LaunchingPlugin INSTANCE

  - ### Constructor Detail

    - #### LaunchingPlugin

          public LaunchingPlugin()

  - ### Method Detail

    - #### getPluginResourceLocator

          public ResourceLocator getPluginResourceLocator()

      Specified by:
        `getPluginResourceLocator` in class `EMFPlugin`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html